> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roark.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List call evaluation runs

> Fetch all evaluation run results for a specific call.



## OpenAPI

````yaml /api-reference/openapi.documented.json get /v1/call/{callId}/evaluation-run
openapi: 3.1.0
info:
  title: Roark Analytics API
  description: >-
    The Roark Analytics API gives you access to the same API that powers the
    award winning Roark Analytics platform.
  version: 1.0.0
servers:
  - description: Production
    url: https://api.roark.ai
security:
  - Bearer: []
tags:
  - name: Agent
  - name: Agent Endpoint
  - name: Call
  - name: Chat
  - name: Metric
  - name: Metric Policy
  - name: Metric Collection Job
  - name: Simulation Persona
  - name: Simulation Scenario
  - name: Simulation Run Plan
  - name: Simulation Run Plan Job
  - name: Simulation Job
  - name: HTTP Request Definition
  - name: Webhook
  - name: Issue
  - name: Knowledge Base
  - name: Call Analysis
  - name: Health
paths:
  /v1/call/{callId}/evaluation-run:
    get:
      tags:
        - Call
      summary: List call evaluation runs
      description: Fetch all evaluation run results for a specific call.
      operationId: getV1CallByCallIdEvaluation-run
      parameters:
        - in: path
          name: callId
          schema:
            type: string
            format: uuid
            description: ID of the call to fetch evaluation run for
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          description: ID of the evaluator run
                        evaluator:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              description: ID of the evaluator
                            name:
                              type: string
                              description: Name of the evaluator
                            weight:
                              type: number
                              description: Weight of the evaluator
                          required:
                            - id
                            - name
                        status:
                          type: string
                          enum:
                            - PENDING
                            - IN_PROGRESS
                            - COMPLETED
                            - FAILED
                          description: Status of the evaluator run
                        score:
                          type:
                            - number
                            - 'null'
                          minimum: 0
                          maximum: 1
                          description: Score of the evaluation run (0-1)
                        result:
                          type:
                            - string
                            - 'null'
                          enum:
                            - SUCCESS
                            - FAILURE
                            - SKIPPED
                          description: >-
                            Result of the evaluator run based on score threshold
                            (IRRELEVANT is mapped to SKIPPED)
                        summary:
                          type:
                            - string
                            - 'null'
                          description: Summary of the evaluation run
                        startedAt:
                          anyOf:
                            - type: string
                            - type: string
                            - type: 'null'
                          description: When the evaluator run started
                        completedAt:
                          anyOf:
                            - type: string
                            - type: string
                            - type: 'null'
                          description: When the evaluator run completed
                        metrics:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                                description: Name of the metric
                              valueType:
                                type: string
                                description: Value type of the metric
                              numericValue:
                                type:
                                  - number
                                  - 'null'
                                description: Numeric value of the metric
                              booleanValue:
                                type:
                                  - boolean
                                  - 'null'
                                description: Boolean value of the metric
                              textValue:
                                type:
                                  - string
                                  - 'null'
                                description: Text value of the metric
                              confidence:
                                type:
                                  - number
                                  - 'null'
                                minimum: 0
                                maximum: 1
                                description: Confidence level of the metric (0-1)
                              reasoning:
                                type:
                                  - string
                                  - 'null'
                                description: Reasoning of the metric
                              role:
                                type: string
                                description: Role of the metric
                              createdAt:
                                type: string
                                description: Created at of the metric
                            required:
                              - name
                              - valueType
                              - numericValue
                              - booleanValue
                              - textValue
                              - confidence
                              - reasoning
                              - role
                              - createdAt
                        evidence:
                          type: array
                          items:
                            type: object
                            properties:
                              snippetText:
                                type: string
                                description: Snippet text of the evidence
                              commentText:
                                type:
                                  - string
                                  - 'null'
                                description: Comment text of the evidence
                              isPositive:
                                type: boolean
                                description: Is positive of the evidence
                              createdAt:
                                type: string
                                description: Created at of the evidence
                            required:
                              - snippetText
                              - commentText
                              - isPositive
                              - createdAt
                        blockRuns:
                          type: array
                          items:
                            type: object
                            properties:
                              blockRunId:
                                type: string
                                format: uuid
                                description: ID of the block run instance
                              blockDefinitionId:
                                type: string
                                format: uuid
                                description: ID of the block definition
                              blockName:
                                type: string
                                description: Name of the evaluation block
                              status:
                                type: string
                                enum:
                                  - PENDING
                                  - RUNNING
                                  - COMPLETED
                                  - FAILED
                                description: Status of the block run
                              result:
                                type:
                                  - string
                                  - 'null'
                                enum:
                                  - PASSED
                                  - FAILED
                                  - SKIPPED
                                description: Result of the block run
                              score:
                                type:
                                  - number
                                  - 'null'
                                minimum: 0
                                maximum: 1
                                description: Score of the block run (0-1)
                              reason:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  Reason for the outcome (pass/fail explanation
                                  or skip reason)
                              createdAt:
                                type: string
                                description: When the block run was created
                            required:
                              - blockRunId
                              - blockDefinitionId
                              - blockName
                              - status
                              - result
                              - score
                              - reason
                              - createdAt
                          description: >-
                            All block runs for this evaluator, including skipped
                            ones
                      required:
                        - evaluator
                        - status
                        - metrics
                        - evidence
                        - blockRuns
                    description: Evaluation run response payload
                required:
                  - data
          description: Evaluation run for a specific call
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Authentication error
              example:
                type: authentication
                code: unauthorized
                message: Authentication required
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Permission error
              example:
                type: forbidden
                code: permission_denied
                message: You do not have permission to access this resource
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Not found error
              example:
                type: not_found
                code: resource_not_found
                message: The requested resource could not be found
          description: Not Found
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Rate limit error
              example:
                type: rate_limit
                code: too_many_requests
                message: Rate limit exceeded
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Server error
              example:
                type: internal
                code: internal_error
                message: Internal server error
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Roark from '@roarkanalytics/sdk';


            const client = new Roark({
              bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
            });


            const response = await
            client.call.listEvaluationRuns('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');


            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from roark_analytics import Roark

            client = Roark(
                bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"),  # This is the default and can be omitted
            )
            response = client.call.list_evaluation_runs(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(response.data)
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - validation
            - authentication
            - forbidden
            - not_found
            - conflict
            - rate_limit
            - internal
          description: The error type category
          examples:
            - validation
            - authentication
        code:
          type: string
          description: Machine-readable error code identifier
          examples:
            - invalid_parameter
            - missing_required_field
            - unauthorized
        message:
          type: string
          description: Human-readable error message
          examples:
            - The request was invalid
            - Authentication required
        param:
          type: string
          description: The parameter that caused the error (if applicable)
          examples:
            - email
            - user_id
        details:
          description: Additional error context information
      required:
        - type
        - code
        - message
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````